Bug 55358 - possible wrong plist in ports/lang/yorick
possible wrong plist in ports/lang/yorick
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-08 03:30 UTC by lazykang
Modified: 2003-09-09 07:46 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lazykang 2003-08-08 03:30:10 UTC
the pkg-plist in ports/lang/yorick might be wrong.

Fix: 

_________________________________________________________________
MSN 8 helps eliminate e-mail viruses. Get 2 months FREE*. 
http://join.msn.com/?page=features/virus--TAFmVRtqKcAdT9dMAst8p8V4csuRfw4u6lpZG9TdqyrZCxHo
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- pkg-plist.orig	Fri Aug  8 10:15:25 2003
+++ pkg-plist	Fri Aug  8 10:15:35 2003
@@ -156,11 +156,6 @@
share/yorick/yorick.el
%%PORTDOCS%%@unexec install-info --delete %D/info/yorick.info.gz %D/info/dir
%%PORTDOCS%%info/yorick.info.gz
-%%PORTDOCS%%info/yorick.info-1.gz
-%%PORTDOCS%%info/yorick.info-4.gz
-%%PORTDOCS%%info/yorick.info-2.gz
-%%PORTDOCS%%info/yorick.info-5.gz
-%%PORTDOCS%%info/yorick.info-3.gz
%%PORTDOCS%%@exec install-info %D/info/yorick.info.gz %D/info/dir
@dirrm share/yorick/i0
@dirrm share/yorick/i
How-To-Repeat: run "make" at ports/lang/yorick
Comment 1 giffunip 2003-08-29 21:18:31 UTC
Hi;
I'm using 5.0R and I didn't see this problem, although the bento logs seem to
confirm there's an issue there.
I wanted to point out that the author (David is also the port maintainer) made
an update to the port on his website that I am attaching here.

begin 644 patch-yorick
M9&EF9B`M<G5.('EO<FEC:RYO<FEG+TUA:V5F:6QE('EO<FEC:R]-86ME9FEL
M90HM+2T@>6]R:6-K+F]R:6<O36%K969I;&4)1G)I($%U9R`R.2`Q-#HU,3HR
M.2`R,#`S"BLK*R!Y;W)I8VLO36%K969I;&4)1G)I($%U9R`R.2`Q-#HU.#HS
M,2`R,#`S"D!`("TY+#8@*SDL-R!`0`H@(R`@("`@("`@("`Q+C4N,#(@<&]R
M="!B>2!P;W)T<T!&<F5E0E-$+F]R9RP*(",@("`@("`@("`@("`@("`@(&9R
M;VT@<W5B;6ES<VEO;B!B>2!%9"!!;&QE>2`\=V5A0&QL;FPN9V]V/@H@(R`@
M("`@("`@("`Q+C4N,#<@<&]R="!B>2!$879I9"!(+B!-=6YR;R`\;75N<F\Q
M0&QL;FPN9V]V/@HK(R`@("`@("`@("`Q+C4N,3(@<&]R="!B>2!$879I9"!(
M+B!-=6YR;R`\;75N<F\Q0&QL;FPN9V]V/BP@,#$O3F]V+S`R"B`C(#$N-2XP
M-R!N;W1E<SH*(",@*#$I(&EN9F\@<&%G97,@:6YS=&%L;&5D(&EN(%!2149)
M6"]I;F9O(&9O<B!C;VYS:7-T96YC>2!W:71H(&]T:&5R(&%P<',*(",@("`@
M("TM(')E86QL>2!S:&]U;&0@8F4@:6X@4%)%1DE8+W-H87)E+VEN9F\*0$`@
M+3(U+#$T("LR-BPQ-"!`0`H@(R`@("`@("`@("`Q+C4N,#@@<F5P;&%C97,@
M,2XU+C`W(&EN9F%N="!M;W)T86QI='D*(`H@4$]25$Y!344]"7EO<FEC:PHM
M4$]25%9%4E-)3TX]"3$N-2XP.`HK4$]25%9%4E-)3TX]"3$N-2XQ,@H@0T%4
M14=/4DE%4ST);&%N9R!M871H"B!-05-415)?4TE415,]"69T<#HO+V9T<"UI
M8V8N;&QN;"YG;W8O<'5B+UEO<FEC:R\@7`H@"0EF='`Z+R]W=6%R8VAI=F4N
M=W5S=&PN961U+VQA;F=U86=E<R]Y;W)I8VLO"B!%6%1204-47U-51E@]"2YT
M9WH*(`H@34%)3E1!24Y%4CT);75N<F\Q0&QL;FPN9V]V"BU#3TU-14Y4/0E)
M;G1E<G!R971E9"!L86YG=6%G92!A;F0@<V-I96YT:69I8R!G<F%P:&EC<PHK
M0T]-345.5#T):6YT97)P<F5T960@;&%N9W5A9V4@86YD('-C:65N=&EF:6,@
M9W)A<&AI8W,*(`H@5U)+4U)#/0D))'M74DM$25)]+R1[4$]25$Y!345]+21[
M4$]25%9%4E-)3TXZ4GT*(`ID:69F("UR=4X@>6]R:6-K+F]R:6<O9&ES=&EN
M9F\@>6]R:6-K+V1I<W1I;F9O"BTM+2!Y;W)I8VLN;W)I9R]D:7-T:6YF;PE&
M<FD@075G(#(Y(#$T.C4Q.C(Y(#(P,#,**RLK('EO<FEC:R]D:7-T:6YF;PE&
M<FD@3F]V("`Q(#$X.C,W.C0S(#(P,#(*0$`@+3$L,B`K,2!`0`HM340U("AY
M;W)I8VLM,2XU+C`X+G1G>BD@/2`R9C$S9&0Y8F,R9F0Q-3`S8C$X,#`V8S)A
M,V,R-3-E90HM"BM-1#4@*'EO<FEC:RTQ+C4N,3(N=&=Z*2`](&,P-S<Q9C4Y
99C`S9&,S-61A,V)B861A-&,T,30P.6(T"@``
`
end


________________________________________________________________________
Want to chat instantly with your online friends?  Get the FREE Yahoo!
Messenger http://uk.messenger.yahoo.com/
Comment 2 lazykang 2003-08-30 08:24:54 UTC
>From: "Pedro F. Giffuni" <giffunip@yahoo.com>
>To: freebsd-gnats-submit@FreeBSD.org
>CC: lazykang@hotmail.com
>Subject: Re: ports/55358: possible wrong plist in ports/lang/yorick
>Date: Fri, 29 Aug 2003 21:18:31 +0100 (BST)
>I'm using 5.0R and I didn't see this problem, although the bento logs seem 
>to
>confirm there's an issue there.
>I wanted to point out that the author (David is also the port maintainer) 
>made
>an update to the port on his website that I am attaching here.

I've tested your patch, it works.
but I tihink there are something wrong in plist.
# make deinstall
===>  Deinstalling for lang/yorick
===>   Deinstalling yorick-1.5.12
pkg_delete: file '/usr/local/info/yorick.info-1.gz' doesn't really exist
pkg_delete: file '/usr/local/info/yorick.info-4.gz' doesn't really exist
pkg_delete: file '/usr/local/info/yorick.info-2.gz' doesn't really exist
pkg_delete: file '/usr/local/info/yorick.info-5.gz' doesn't really exist
pkg_delete: file '/usr/local/info/yorick.info-3.gz' doesn't really exist
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)
I've test it (and reproduce the problem) on both latest 4.8 and 5.1 .

_________________________________________________________________
MSN 8 helps eliminate e-mail viruses. Get 2 months FREE*. 
http://join.msn.com/?page=features/virus
Comment 3 giffunip 2003-08-30 18:22:02 UTC
 --- Kang Liu <lazykang@hotmail.com> wrote:
...
> 
> I've tested your patch, it works.
> but I tihink there are something wrong in plist.
> # make deinstall
> ===>  Deinstalling for lang/yorick
> ===>   Deinstalling yorick-1.5.12
> pkg_delete: file '/usr/local/info/yorick.info-1.gz' doesn't really exist
> pkg_delete: file '/usr/local/info/yorick.info-4.gz' doesn't really exist
> pkg_delete: file '/usr/local/info/yorick.info-2.gz' doesn't really exist
> pkg_delete: file '/usr/local/info/yorick.info-5.gz' doesn't really exist
> pkg_delete: file '/usr/local/info/yorick.info-3.gz' doesn't really exist
> pkg_delete: couldn't entirely delete package (perhaps the packing list is
> incorrectly specified?)
> I've test it (and reproduce the problem) on both latest 4.8 and 5.1 .
> 

It's probably an issue with install-info, I think it has been enhanced on
recent FreeBSD's ports tree. Yorick is an important port (IMHO).


________________________________________________________________________
Want to chat instantly with your online friends?  Get the FREE Yahoo!
Messenger http://uk.messenger.yahoo.com/
Comment 4 munro 2003-09-04 19:38:32 UTC
The enclosed patch apparently resolves this problem, in addition
to updating to the yorick-1.5.12 source tarball.  This PR can be
closed when this patch is applied.


diff -ruN yorick.orig/Makefile yorick/Makefile
--- yorick.orig/Makefile	2003-02-21 04:35:09.000000000 -0800
+++ yorick/Makefile	2003-09-04 11:33:25.000000000 -0700
@@ -9,6 +9,7 @@
  #          1.5.02 port by ports@FreeBSD.org,
  #                 from submission by Ed Alley <wea@llnl.gov>
  #          1.5.07 port by David H. Munro <munro1@llnl.gov>
+#          1.5.12 port by David H. Munro <munro1@llnl.gov>, 01/Nov/02
  # 1.5.07 notes:
  # (1) info pages installed in PREFIX/info for consistency with other apps
  #     -- really should be in PREFIX/share/info
@@ -25,10 +26,9 @@
  #          1.5.08 replaces 1.5.07 infant mortality

  PORTNAME=	yorick
-PORTVERSION=	1.5.08
+PORTVERSION=	1.5.12
  CATEGORIES=	lang math
-MASTER_SITES=	ftp://ftp-icf.llnl.gov/pub/Yorick/ \
-		ftp://wuarchive.wustl.edu/languages/yorick/
+MASTER_SITES=	ftp://ftp-icf.llnl.gov/pub/Yorick/
  EXTRACT_SUFX=	.tgz

  MAINTAINER=	munro1@llnl.gov
@@ -40,6 +40,7 @@
  MAKE_ARGS=	Y_HOME="${PREFIX}/lib/${PORTNAME}" Y_SITE="${DATADIR}" \
  		Y_DOCDIR=/dev/null
  MAN1=		yorick.1 gist.1
+INFO=		yorick

  PORTDOCS=	FILE_FORMATS README drat.doc drat.tex graph.doc hex.doc \
  		library.doc math.doc refs.pdf refs.ps refs.tex std.doc \
diff -ruN yorick.orig/distinfo yorick/distinfo
--- yorick.orig/distinfo	2002-02-09 01:15:58.000000000 -0800
+++ yorick/distinfo	2002-11-01 15:37:43.000000000 -0800
@@ -1,2 +1 @@
-MD5 (yorick-1.5.08.tgz) = 2f13dd9bc2fd1503b18006c2a3c253ee
-
+MD5 (yorick-1.5.12.tgz) = c0771f59f03dc35da3bbada4c41409b4
diff -ruN yorick.orig/pkg-plist yorick/pkg-plist
--- yorick.orig/pkg-plist	2002-02-09 01:15:58.000000000 -0800
+++ yorick/pkg-plist	2003-09-04 11:25:20.000000000 -0700
@@ -154,14 +154,6 @@
  share/yorick/i0/std.i
  share/yorick/i0/stdx.i
  share/yorick/yorick.el
-%%PORTDOCS%%@unexec install-info --delete %D/info/yorick.info.gz %D/info/dir
-%%PORTDOCS%%info/yorick.info.gz
-%%PORTDOCS%%info/yorick.info-1.gz
-%%PORTDOCS%%info/yorick.info-4.gz
-%%PORTDOCS%%info/yorick.info-2.gz
-%%PORTDOCS%%info/yorick.info-5.gz
-%%PORTDOCS%%info/yorick.info-3.gz
-%%PORTDOCS%%@exec install-info %D/info/yorick.info.gz %D/info/dir
  @dirrm share/yorick/i0
  @dirrm share/yorick/i
  @dirrm share/yorick/g
Comment 5 eikemeier 2003-09-04 20:31:23 UTC
as discussed with Pedro F. Giffuni <giffunip@yahoo.com> in
FreeBSD ports r3F569EB8.6000207@fillmore-labs.com
  http://lists.freebsd.org/pipermail/freebsd-ports/2003-September/004249.html

you have to remove
	${GZIP_CMD} ${WRKSRC}/doc/yorick.info*

from post-build, and change
	install-info ${PREFIX}/info/yorick.info.gz ${PREFIX}/info/dir
in post-install to
	install-info ${PREFIX}/info/yorick.info ${PREFIX}/info/dir

otherwise package building won't work.

Btw,

.if !exists(${PREFIX}/bin)
	@${MKDIR} ${PREFIX}/bin
.endif

.if !exists(${PREFIX}/man/man1)
	@${MKDIR} ${PREFIX}/man/man1
.endif

.if !exists(${PREFIX}/info)
	@${MKDIR} ${PREFIX}/info
.endif

shouldn't be in the in the ports Makefile, and the condition does not
do what you expect, PREFIX is undefined at that point in the Makefile.
Comment 6 munro 2003-09-04 21:44:25 UTC
Okay, let's try it again.  This patch ought to close the PR for sure.


diff -ruN yorick.orig/Makefile yorick/Makefile
--- yorick.orig/Makefile	2003-02-21 04:35:09.000000000 -0800
+++ yorick/Makefile	2003-09-04 13:39:35.000000000 -0700
@@ -9,6 +9,7 @@
  #          1.5.02 port by ports@FreeBSD.org,
  #                 from submission by Ed Alley <wea@llnl.gov>
  #          1.5.07 port by David H. Munro <munro1@llnl.gov>
+#          1.5.12 port by David H. Munro <munro1@llnl.gov>, 01/Nov/02
  # 1.5.07 notes:
  # (1) info pages installed in PREFIX/info for consistency with other apps
  #     -- really should be in PREFIX/share/info
@@ -25,10 +26,9 @@
  #          1.5.08 replaces 1.5.07 infant mortality

  PORTNAME=	yorick
-PORTVERSION=	1.5.08
+PORTVERSION=	1.5.12
  CATEGORIES=	lang math
-MASTER_SITES=	ftp://ftp-icf.llnl.gov/pub/Yorick/ \
-		ftp://wuarchive.wustl.edu/languages/yorick/
+MASTER_SITES=	ftp://ftp-icf.llnl.gov/pub/Yorick/
  EXTRACT_SUFX=	.tgz

  MAINTAINER=	munro1@llnl.gov
@@ -40,6 +40,7 @@
  MAKE_ARGS=	Y_HOME="${PREFIX}/lib/${PORTNAME}" Y_SITE="${DATADIR}" \
  		Y_DOCDIR=/dev/null
  MAN1=		yorick.1 gist.1
+INFO=		yorick

  PORTDOCS=	FILE_FORMATS README drat.doc drat.tex graph.doc hex.doc \
  		library.doc math.doc refs.pdf refs.ps refs.tex std.doc \
@@ -52,16 +53,9 @@
  post-build:
  .if !defined(NOPORTDOCS)
  	cd ${WRKSRC}/doc; make yorick.info
-	${GZIP_CMD} ${WRKSRC}/doc/yorick.info*
  .endif

  post-install:
-.if !exists(${PREFIX}/bin)
-	@${MKDIR} ${PREFIX}/bin
-.endif
-.if !exists(${PREFIX}/man/man1)
-	@${MKDIR} ${PREFIX}/man/man1
-.endif
  .for file in gist yorick
  	${INSTALL_MAN} ${WRKSRC}/doc/${file}.1 ${PREFIX}/man/man1
  	@${STRIP_CMD} ${PREFIX}/lib/${PORTNAME}/bin/${file}
@@ -77,13 +71,10 @@
  	${INSTALL_DATA} ${WRKSRC}/doc/${file} ${DOCSDIR}
  .endfor
  	@${LN} -sf ../doc/${PORTNAME} ${DATADIR}/doc
-.if !exists(${PREFIX}/info)
-	@${MKDIR} ${PREFIX}/info
-.endif
  	for f in ${WRKSRC}/doc/yorick.info*; do \
  	  ${INSTALL_DATA} $$f ${PREFIX}/info; \
  	done
-	install-info ${PREFIX}/info/yorick.info.gz ${PREFIX}/info/dir
+	install-info ${PREFIX}/info/yorick.info ${PREFIX}/info/dir
  .endif

  .include <bsd.port.mk>
diff -ruN yorick.orig/distinfo yorick/distinfo
--- yorick.orig/distinfo	2002-02-09 01:15:58.000000000 -0800
+++ yorick/distinfo	2002-11-01 15:37:43.000000000 -0800
@@ -1,2 +1 @@
-MD5 (yorick-1.5.08.tgz) = 2f13dd9bc2fd1503b18006c2a3c253ee
-
+MD5 (yorick-1.5.12.tgz) = c0771f59f03dc35da3bbada4c41409b4
diff -ruN yorick.orig/pkg-plist yorick/pkg-plist
--- yorick.orig/pkg-plist	2002-02-09 01:15:58.000000000 -0800
+++ yorick/pkg-plist	2003-09-04 11:25:20.000000000 -0700
@@ -154,14 +154,6 @@
  share/yorick/i0/std.i
  share/yorick/i0/stdx.i
  share/yorick/yorick.el
-%%PORTDOCS%%@unexec install-info --delete %D/info/yorick.info.gz %D/info/dir
-%%PORTDOCS%%info/yorick.info.gz
-%%PORTDOCS%%info/yorick.info-1.gz
-%%PORTDOCS%%info/yorick.info-4.gz
-%%PORTDOCS%%info/yorick.info-2.gz
-%%PORTDOCS%%info/yorick.info-5.gz
-%%PORTDOCS%%info/yorick.info-3.gz
-%%PORTDOCS%%@exec install-info %D/info/yorick.info.gz %D/info/dir
  @dirrm share/yorick/i0
  @dirrm share/yorick/i
  @dirrm share/yorick/g
Comment 7 nork freebsd_committer 2003-09-09 07:46:20 UTC
State Changed
From-To: open->closed

Committed, thanks!